// Oleg Petruny proprietary.

#pragma once

#include "CoreMinimal.h"
#include "InteractableModificator.h"

#include "InventoryInteractableModificator.generated.h"

UCLASS(ClassGroup = InteractableModificator, meta = (BlueprintSpawnableComponent), Blueprintable, BlueprintType)
class UInventoryInteractableModificator : public UInteractableModificator
{
    GENERATED_BODY()

public:
    UInventoryInteractableModificator(const FObjectInitializer& ObjectInitializer);

    void Bind_Implementation(class UEnhancedInputComponent* input) override;
    void Unbind_Implementation() override;

    UPROPERTY(EditAnywhere)
    FText name = FText::FromString("NONE");

protected:
    void TakeAsFirstItem();
    void TakeAsSecondItem();

private:
    class UEnhancedInputComponent* lastInput = nullptr;
    TArray<int32> bindindingHandlers;
    class APlayerBase* lastPlayer = nullptr;
};
